
function GetEyeTrackerData(tStart, tEnd, myPort, serialFile, startTime, maxComponents)
    WaitSecs(0.5);
    fprintf(serialFile, 'Start: %d %d %d %d %d %.6f - %.6f\n', startTime(1), startTime(2), ...
            startTime(3), startTime(4), startTime(5), startTime(6), tStart);
        
    countBytes = 1;
    tReceived = 0;
    emptyThresh = 5000;
    emptyCount = 0;
    
    while( tReceived < tEnd )
        [pktData, tReceived] = IOPort('Read', myPort, 1, maxComponents);
	if(isempty(pktData))
	 emptyCount = emptyCount + 1;
	 continue;
	end
    if( emptyCount >= emptyThresh )
	   break;
	end
        if( pktData(1) == 68 && pktData(2) == 68 )
            fprintf(serialFile, '\n');
            fprintf(serialFile, '%f\t', (tReceived - tStart));
            fprintf(serialFile, '%d\t', pktData);
            countBytes = 1;
 	    emptyCount = 0;
        elseif( pktData(2) == 68 )
            fprintf(serialFile, '%d\t', pktData(1));
            fprintf(serialFile, '\n');
            fprintf(serialFile, '%f\t', (tReceived - tStart));
            fprintf(serialFile, '%d\t', pktData(2:end));
            countBytes = 1;
 	    emptyCount = 0;
        elseif( pktData(1) == 68 )
            fprintf(serialFile, '%d\t', pktData);
 	    emptyCount = 0;
        else
            fprintf(serialFile, '%d\t', pktData);
            countBytes = countBytes + 1;
 	    emptyCount = 0;
        end
        %savePktData = uint8(pktData);
    end
    if(tReceived >= tEnd)
     sprintf('Hello!');
    end
    IOPort('ConfigureSerialPort', myPort, 'StopBackgroundRead');
    IOPort('Close', myPort);
    fclose(serialFile);
end

