IGT Open
==================
Some of this code was written by Christopher L. Dancy while he was at Penn State,
   University Park working on his PhD in IST (CogSci/AI focus).

A good deal of this code has been modified by Dancy when he was at Bucknell. Now at Penn State, Dr. Dancy will make modifications as needed/suggested by folks who might use it.
   
## It is still being maintained by:
 Christopher L. Dancy 
 cdancy@psu.edu
 Associate Professor of Industrial & Manufacturing Engineering, of Computer Science & Engineering, and of African-American Studies
 Penn State, University Park

*Note for the simulation code, navigate to the MindModeling folder

This code is the implementation of IGT from Bechara et al(2000) paper:
 "Characterization of the decision-making deficit of patients with ventromedial prefrontal cortex lesions"

The visual stimuli used in the experiment that this was originally created
for are from the IAPS and the numbers of the specific pictures used can be
currently found in the dissertation that describes that work (this will
likely be updated in the future to account for any related pubs). Chris
Dancy's Dissertation can be found at http://www.etd.psu.edu/

This code assumes you have the psychtoolbox library setup to run w/ Matlab
(or Octave)

This is written originally for a windows system, but should work on both Linux and Mac (If
you use it and can't get it to work, please let me know and I will try to figure out possible issues). I've tested this on Mac OSX 10.11, Ubuntu LTS (12.04 & 14.04), & Windows 7

If you use this code, please let me know so I can update my records accordingly

Use the following reference for this software:
Dancy, C. L., & Ritter, F. E. (2016). IGT-Open: An open-source, computerized version of the Iowa Gambling Task. Behavior research methods, 1-7.


This code is licensed under GNU GPL (V3) <br />
<img src="http://www.gnu.org/graphics/gplv3-127x51.png" />