%%
%JSON Message Function
function WaitJSON(modelCommID, modelMsg, startTime, maxWaitTime)
    TimeMsg(modelCommID);
    while(isempty(strfind(modelMsg, 'set-mp-time')))
       if(~isempty(modelMsg))
        SyncMsg(modelCommID);
       end
       modelMsg = pnet(modelCommID, 'read', 'noblock');
    end
    SyncMsg(modelCommID);
    currTime = ConvertJSONTime(modelMsg);
   
    while( (currTime - startTime) < maxWaitTime )
        %Get current meta-process time from ACT-R over socket and harvest
        modelMsg = pnet(modelCommID, 'read', 'noblock');
        TimeMsg(modelCommID);
        while(isempty(strfind(modelMsg, 'set-mp-time')))
           modelMsg = pnet(modelCommID, 'read', 'noblock');
           if(~isempty(modelMsg))
               SyncMsg(modelCommID);
           end
        end
        currTime = ConvertJSONTime(modelMsg);
        oldTime = currTime;
        SyncMsg(modelCommID);
    end
end